# IRequestProtocol | oops-framework
Documentation for oops-framework

# Interface IRequestProtocol

请求协议

#### Hierarchy

- IRequestProtocol

- Defined in assets/libs/network/NetInterface.ts:15

#####
Index

### Properties

action
callback?
channelid
data?
isCompress
method

## Properties

### action

action: string

动作名

- Defined in assets/libs/network/NetInterface.ts:17

### `Optional` callback

callback?: string

回调方法名

- Defined in assets/libs/network/NetInterface.ts:21

### channelid

channelid: number

渠道编号

- Defined in assets/libs/network/NetInterface.ts:25

### `Optional` data

data?: any

消息内容

- Defined in assets/libs/network/NetInterface.ts:27

### isCompress

isCompress: boolean

是否压缩

- Defined in assets/libs/network/NetInterface.ts:23

### method

method: string

模块名

- Defined in assets/libs/network/NetInterface.ts:19

Generated using TypeDoc